> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.byteful.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Proxy User ACL

> This endpoint allows you to create a new Proxy User ACL entry to grant access to specific services or proxies.

- The target Proxy User must not be deleted.
- The target Proxy User must not be a default proxy user (default proxy users have access to all proxies).
- For service access: proxy_user_access_type must be `service_restricted`.
- For proxy access: proxy_user_access_type must be `proxy_restricted`.




## OpenAPI

````yaml post /public/user/proxy_user_acl/create
openapi: 3.0.1
info:
  title: Byteful Public User API
  description: Public API used for third-party usage.
  termsOfService: https://byteful.com
  contact:
    url: https://byteful.com
    email: developer@byteful.com
  version: '1.0'
  x-logo:
    altText: Byteful
    backgroundColor: '#6354eb'
    url: >-
      https://pbs.twimg.com/profile_banners/1038803520605118464/1729783007/1500x500
servers:
  - url: https://api.byteful.com/1.0/
security: []
paths:
  /public/user/proxy_user_acl/create:
    post:
      tags:
        - Proxy User ACL
      summary: Create Proxy User ACL
      description: >
        This endpoint allows you to create a new Proxy User ACL entry to grant
        access to specific services or proxies.


        - The target Proxy User must not be deleted.

        - The target Proxy User must not be a default proxy user (default proxy
        users have access to all proxies).

        - For service access: proxy_user_access_type must be
        `service_restricted`.

        - For proxy access: proxy_user_access_type must be `proxy_restricted`.
      parameters:
        - name: Content-Type
          in: header
          description: Content type for the request body as application/json.
          required: true
          schema:
            type: string
            default: application/json
      requestBody:
        description: Details of the Proxy User ACL to be created.
        content:
          application/json:
            schema:
              required:
                - proxy_user_id
              type: object
              properties:
                proxy_id:
                  type: string
                  description: >-
                    The proxy ID to grant access to (required if service_id is
                    not provided).
                  example: 550e8400-e29b-41d4-a716-446655440001
                proxy_user_id:
                  type: string
                  description: The ID of the proxy user to grant access to.
                  example: stevejobs
                service_id:
                  type: string
                  description: >-
                    The service ID to grant access to (required if proxy_id is
                    not provided).
                  example: API-1234-5678
        required: true
      responses:
        '201':
          description: Proxy User ACL Successfully Created
          content:
            application/json:
              schema:
                type: object
                properties:
                  created:
                    type: array
                    items:
                      type: string
                      description: A list containing the ID of the created Proxy User ACL.
                  message:
                    type: string
                    description: A message indicating the success of the operation.
              example:
                created:
                  - 550e8400-e29b-41d4-a716-446655440000
                message: Proxy User ACL successfully created.
      security:
        - ApiKeyAuth: []
components: {}

````